Bug 1250144 - Installation guide is missing steps about the installation in the JBoss Web Server
Installation guide is missing steps about the installation in the JBoss Web S...
Status: CLOSED NEXTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Penicka
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 11:17 EDT by Spolti
Modified: 2015-09-14 07:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 07:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BXMSDOC-55 Major Resolved Installation guide is missing steps about the installation in the JBoss Web Server 2016-11-07 03:04 EST

  None (edit)
Description Spolti 2015-08-04 11:17:53 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BRMS/6.1/html/Installation_Guide/Installing_JBoss_BRMS_on_JBoss_EWS_2.html


Section Number and Name: 
1.8 - INSTALLING RED HAT JBOSS BRMS ON RED HAT JBOSS WEB SERVER

Describe the issue: 
The section about to activate the BTM config is missing.

Suggestions for improvement: 
Like the BPMS documentation, it should have the following steps:


Add the following valve in the server.xml file:
<Listener className="bitronix.tm.integration.tomcat54.BTMLifecycleListener" />

Create the file setenv.sh:
CATALINA_OPTS="-Xmx512M -XX:MaxPermSize=512m -Dbtm.root=$CATALINA_HOME -Dbitronix.tm.configuration=$CATALINA_HOME/conf/btm-config.properties"

BPMS doc: https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html/Installation_Guide/sect-The_Generic_Deployable_Bundle_Installation.html#Downloading_deployable_package

Additional information:
Comment 2 Petr Penicka 2015-09-14 07:17:06 EDT
Issue was migrated to JBoss JIRA, see linked issue for details. Closing here.

Note You need to log in before you can comment on or make changes to this bug.